Subject: Re: bug#50212: Several tests fail, Bash fails often. Was: Tests fail while building Guix

From: Simon Streit <[email-masked]>
Date: Sun, 29 Aug 2021 15:06:04 +0200

Simon Streit <[email-masked]> writes:
> So why would my system brake the bootstrap binary?  Has it got to do
> with a particular package I have in my profile(s)?  I generally build
> Guix with ‘guix environment --pure guix.’  I have a second Guix build
> machine running.  The packages used there are quite similar, so these
> two machines have very similar checkouts and config in general.  Hence,
> when I build Guix there, the same error occurs.

I figured out why this is happening.  I disabled
--8<---------------cut here---------------start------------->8---
(service qemu-binfmt-service-type
         (qemu-binfmt-configuration
          (platforms (lookup-qemu-platforms "arm" "aarch64" "i386"))))
--8<---------------cut here---------------end--------------->8---
and now all tests pass.

Why would this be a problem?  

Simon